clear all
r0=0;
rf=0.009295;
rtaux0=0;
vx0=1.20842;
vxav0=0;
mu=8.937e-4;
deltap=500;
R=rf;
L=10;
[r, var]=ode45('p501abcf',[r0 rf],[vx0 rtaux0 vxav0]);
vx=var(:,1);
rtaurx=var(:,2);     
for i=1:size(r)
   if(r(i)==0)
      taurx(i)=0;
   else
      taurx(i)=rtaurx(i)/r(i);
   end
end
vxav=var(i,3);
vxanal=(deltap*R^2/(4*mu*L))*(1-(r/R).^2);
taurxanal=(deltap/(2*L))*r;
vxavanal=deltap*R^2/(8*mu*L);
err=vx-0;
figure (1)   
plot(r,vx,'o',r,vxanal);
xlabel('r[m]'); ylabel('vx [m/s]');
figure (2)   
plot(r,taurx,'o',r,taurxanal);
xlabel('r[m]'); ylabel('taurx [Pa]');

