clear all
r0=0;
rf=0.009295;
rtaux0=0;
vx0=1.20842;
[r, var]=ode45('p501af',[r0 rf],[vx0 rtaux0]);
vx=var(:,1);
rtaurx=var(:,2);     
for i=1:size(r)
   if(r(i)==0)
      taurx(i)=0;
   else
      taurx(i)=rtaurx(i)/r(i);
   end
end
err=vx-0
figure (1)   
plot(r,vx);
xlabel('r[m]'); ylabel('vx [m/s]');
figure (2)   
plot(r,taurx);
xlabel('r[m]'); ylabel('taux [Pa]');

